> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user registrations

> Lists the users actively registered with the authenticated client's firm, each with when their current
registration started. `registeredAt` moves if a user is removed from the firm and added again.



## OpenAPI

````yaml /openapi.json get /users/registrations
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /users/registrations:
    get:
      tags:
        - Users
      summary: Get user registrations
      description: "Lists the users actively registered with the authenticated client's firm, each with when their current\r\nregistration started. `registeredAt` moves if a user is removed from the firm and added again."
      operationId: GetUserRegistrationsAsync
      responses:
        '200':
          description: >-
            When request is successful. Returns a collection of
            'UserRegistration' objects.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserRegistrationCollection'
        '403':
          description: When the authenticated client is not associated with a firm.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    UserRegistrationCollection:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        value:
          type: array
          items:
            $ref: '#/components/schemas/UserRegistration'
          nullable: true
      additionalProperties: false
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
    UserRegistration:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        userId:
          type: string
          description: Unique identifier of the user.
          nullable: true
          example: 23d2a4bc-8529-462e-8560-dfbf4fa24e49
        email:
          type: string
          description: Email address the user registered with, lower-cased.
          nullable: true
          example: user@domain.com
        isInternal:
          type: boolean
          description: Returns true if the user is flagged as an internal user.
          example: false
        registeredAt:
          type: string
          description: When the user's current registration with the firm started (UTC).
          format: date-time
          example: '2026-10-01T04:31:00Z'
      additionalProperties: false
      description: A user's current registration with the firm.
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.